Bug 172518 - [iOS Simulator] http/tests/preload/viewport/meta-viewport-link-headers.php is a flaky failure.
Summary: [iOS Simulator] http/tests/preload/viewport/meta-viewport-link-headers.php is...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-05-23 11:45 PDT by Matt Lewis
Modified: 2017-10-06 14:46 PDT (History)
7 users (show)

See Also:


Attachments
Patch (4.72 KB, patch)
2017-08-28 06:41 PDT, Yoav Weiss
no flags Details | Formatted Diff | Diff
Patch (5.19 KB, patch)
2017-09-04 07:45 PDT, Yoav Weiss
no flags Details | Formatted Diff | Diff
Patch (5.32 KB, patch)
2017-09-04 07:51 PDT, Yoav Weiss
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Matt Lewis 2017-05-23 11:46:52 PDT
diff:
--- /Volumes/Data/slave/ios-simulator-10-release-tests-wk2/build/layout-test-results/http/tests/preload/viewport/meta-viewport-link-headers-expected.txt
+++ /Volumes/Data/slave/ios-simulator-10-release-tests-wk2/build/layout-test-results/http/tests/preload/viewport/meta-viewport-link-headers-actual.txt
@@ -1,3 +1,3 @@
 
-PASS Makes sure that Link headers support the media attribute and respond to <meta content=viewport> 
+FAIL Makes sure that Link headers support the media attribute and respond to <meta content=viewport> assert_true: expected true got false
Comment 2 Yoav Weiss 2017-05-24 00:09:21 PDT
I'll look into that. Is it also flaky on ios?
Comment 3 Alexey Proskuryakov 2017-05-25 13:29:47 PDT
We only run the tests on simulator, so if you are asking about device, then I don't have an answer.
Comment 4 Matt Lewis 2017-05-31 11:22:38 PDT
Marked test as flaky.

https://trac.webkit.org/changeset/217612/webkit/
Comment 5 Jonathan Bedard 2017-08-24 09:54:28 PDT
Yoav, we have recently gotten layout tests running on iOS devices internally. This test is behaving the same way on devices as it is in the simulator.

Moved the test expectation in <https://trac.webkit.org/changeset/221142/webkit/>
Comment 6 Yoav Weiss 2017-08-25 04:23:48 PDT
Apologies. This has fallen off my radar. I'll take a look
Comment 7 Yoav Weiss 2017-08-28 06:41:52 PDT
Created attachment 319177 [details]
Patch
Comment 8 Yoav Weiss 2017-09-01 00:14:08 PDT
Hey Youenn :)
Care to take a look at this new and improved test patch?
Comment 9 youenn fablet 2017-09-01 15:57:11 PDT
Comment on attachment 319177 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=319177&action=review

> LayoutTests/http/tests/preload/viewport/meta-viewport-link-headers.php:32
> +        }, 200);

200 might not be large enough.
One approach would be to check for controlLoaded/smallLoaded every 50 ms or so.
If both are not true after 10 or 20 tries, test would fail.
Once both are true, a last check that largeLoaded is false could be done.
Comment 10 Yoav Weiss 2017-09-04 07:45:44 PDT
Created attachment 319851 [details]
Patch
Comment 11 Yoav Weiss 2017-09-04 07:46:25 PDT
(In reply to youenn fablet from comment #9)
> Comment on attachment 319177 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=319177&action=review
> 
> > LayoutTests/http/tests/preload/viewport/meta-viewport-link-headers.php:32
> > +        }, 200);
> 
> 200 might not be large enough.
> One approach would be to check for controlLoaded/smallLoaded every 50 ms or
> so.
> If both are not true after 10 or 20 tries, test would fail.
> Once both are true, a last check that largeLoaded is false could be done.

Changed to iterate over 50 ms intervals. PTAL :)
Comment 12 Yoav Weiss 2017-09-04 07:51:27 PDT
Created attachment 319853 [details]
Patch
Comment 13 Yoav Weiss 2017-09-04 20:01:16 PDT
Comment on attachment 319853 [details]
Patch

Thanks for reviewing! :)
Comment 14 WebKit Commit Bot 2017-09-04 20:31:24 PDT
Comment on attachment 319853 [details]
Patch

Clearing flags on attachment: 319853

Committed r221604: <http://trac.webkit.org/changeset/221604>
Comment 15 WebKit Commit Bot 2017-09-04 20:31:25 PDT
All reviewed patches have been landed.  Closing bug.
Comment 16 Radar WebKit Bug Importer 2017-09-27 12:51:02 PDT
<rdar://problem/34694137>